org.apache.commons.jelly.tags.define

## Class ClassLoaderTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.define.DefineTagSupport
    - - org.apache.commons.jelly.tags.define.BeanTag
      - - org.apache.commons.jelly.tags.define.ClassLoaderTag

All Implemented Interfaces:
  Tag

    public class ClassLoaderTag
    extends BeanTag

Creates a new `URLClassLoader` to dynamically load tags froms.

Version:
  $Revision: 155420 $
Author:
  Stephen Haberman

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ClassLoaderTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.String` `getUrl()`
`java.lang.String` `getVar()`
`void` `setUrl(java.lang.String url)`
`void` `setVar(java.lang.String var)`

### Methods inherited from class org.apache.commons.jelly.tags.define.BeanTag

`addAttribute, getClassLoader, getInvokeMethod, setClassLoader, setClassName, setName, setVarAttribute`

### Methods inherited from class org.apache.commons.jelly.tags.define.DefineTagSupport

`getTagLibrary`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLoaderTag

    public ClassLoaderTag()

### Method Detail

#### getVar

    public java.lang.String getVar()

Returns:
  the variable to store the class loader in

#### setVar

    public void setVar(java.lang.String var)

Parameters:
  `var` - the variable to store the class loader in

#### getUrl

    public java.lang.String getUrl()

Returns:
  the url to load the classes from

#### setUrl

    public void setUrl(java.lang.String url)

Parameters:
  `url` - the url to load the classes from

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Specified by:
  `doTag` in interface `Tag`
Overrides:
  `doTag` in class `BeanTag`
Throws:
  `MissingAttributeException`
  `JellyTagException`